# Class VerifyingFileFactory.Builder

java.lang.Object
org.apache.zookeeper.server.util.VerifyingFileFactory.Builder

Enclosing class:
  `VerifyingFileFactory`

public static class VerifyingFileFactory.Builder extends Object

## Constructor Summary

Constructors
Constructor
Description
`Builder(org.slf4j.Logger log)`

## Method Summary

Modifier and Type
Method
Description
`VerifyingFileFactory`
`build()`
`VerifyingFileFactory.Builder`
`failForNonExistingPath()`
`VerifyingFileFactory.Builder`
`warnForRelativePath()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Builder

public Builder(org.slf4j.Logger log)

## Method Details

### warnForRelativePath

public VerifyingFileFactory.Builder warnForRelativePath()

### failForNonExistingPath

public VerifyingFileFactory.Builder failForNonExistingPath()

### build

public VerifyingFileFactory build()